valabind(1)

NAME
valabind - vala to swig interface conversor

SYNOPSIS
valabind [-h] [-x] [-v] [-V vapidir] [-o ofile] [-m modname] [-p profile] [-N namespace] [-D SYMBOL] [--swig] [--node-ffi] [--ctypes] [--gir] [--cxx] vapifile

DESCRIPTION
Valabind is a program written in Vala that aims to generate nodejs, c++ or SWIG interfaces (.i) from a vala-generated or hand-made vapi files.

SWIG opens the door to create bindings for Python, Perl, ruby, lua, and many other scripting languages.

-h  show help message

-o OUTPUT
    specify output file name

-m NAME
    specify module name

-N NS
    include given namespace for processing

-D SYMBOL
    define a preprocessor symbol inside Vala code

-p PROFILE
    select Vala profile (posix, gobject, dova)

-x  generate c++ code for SWIG bindings

-v  show version information

-V PATH
    specify an alternative vapidir path

ENVIRONMENT

XDG_DATA_DIRS
    Standard freedesktop environment variable to point to the share prefix directory where vala looks for vapi files.

HYPER-REFERENCES

Vala
    http://live.gnome.org/Vala

SWIG
    http://www.swig.org

SEE ALSO

valabind-cc(1)

AUTHORS

pancake <pancake@nopcode.org>

Eduard Burtescu <edy.burt@gmail.com>